---
apiVersion: projectcalico.org/v3
kind: NetworkPolicy
metadata:
  name: kubernetes-dashboard-web
  namespace: core-kubernetes-dashboard
spec:
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: kubernetes-dashboard-web

  ingress:
  - fromEndpoints:
    - matchLabels:
        app.kubernetes.io/name: kong
    toPorts:
    - ports:
      - port: "8000"
        protocol: TCP

  egress:
  - toEndpoints:
    - matchLabels:
        app.kubernetes.io/instance: kubernetes-dashboard
  - toEntities:
    - kube-apiserver
    toPorts:
    - ports:
      - port: "6443"
        protocol: TCP
